#!/usr/bin/env python

#This script will generate a lookup table for Sine/Cosine to use in ASM
#All outputs are signed integers (firs bit on means negative number)
#All outputs are (because they are integers) multiplied by 1000


import math

def getSin(degr):
	if degr==360 or degr==180:
		return 0
	elif degr>360:
		degr-=360
		return math.sin(degr*(math.pi/180))
	else:
		return math.sin(degr*(math.pi/180))
		
for i in range(0, 90, 1):
	print "dw", bin(int(round(getSin(i)*1000))), ";", i, "for sine"
for i in range(90, -1, -1):
	print "dw", bin(int(round(getSin(i)*1000))), ";", 90-i+90, "for sine,", 90-i, "for cosine"
for i in range(1, 90, 1):
	print "dw", bin(2**15+int(round(getSin(i)*1000))), ";", i+180, "for sine,", i+90, "for cosine"
for i in range(90, 0, -1):
	print "dw", bin(2**15+int(round(getSin(i)*1000))), ";", 90-i+270, "for sine,", 90-i+180, "for cosine"
for i in range(0, 90, 1):
	print "dw", bin(int(round(getSin(i)*1000))), ";", i+270, "for cosine"