org		100h

call		SetModeGfx		;Enter graphics mode 13h

push	cs
pop		ds

mov		cl, 8
mov		dx, Int8OldOffset
mov		si, Int8OldSegment
call		IntGet

;Replace interrupt 8
mov		cl, 8
mov		dx, StepEvent
push	cs
pop		si
call		IntDef           
;

;Setup system timer
mov		al, 36h
out		TimerControl, al
mov		cx, 23863d              	;Step event runs at 50Hz (1193150/50) Timer chip runs at 1193150Hz
mov		al, cl
out		TimerData, al
mov		al, ch
out		TimerData, al
;

%include "ARNGMENT.ASM"	;Include the arrangement file. Here all the particles are created


mov		al, 36h
out		TimerControl, al
xor		cx, cx
mov		al, cl
out		TimerData, al
mov		al, ch
out		TimerData, al		;Restore system timer

mov		cl, 8
mov		dx, [Int8OldOffset]
mov		si, [Int8OldSegment]
call		IntDef			;Restore interrupt 8

call		SetModeText		;Return to text mode

int		20h				;Exit to DOS in case of running the .com file

mov		bx, RebootMessage
call		Print

call		WaitForKey


mov		ax, 0040h
mov		es, ax
mov		[es:0072h], word 1234h
jmp		0ffffh:0000h		;Reboot system in case of running from floppy disk

WaitForKey:
        xor     ax, ax
        int     16h
        cmp     al, 0
        je      WaitForKey
ret

RebootMessage	db "Happy new year :D", 13d, 10d, "May the wolf be with you!", 13d, 10d, 13d, 10d,"Take out floppy and press any key to reboot!", 13d, 10d, 0

%include		"PARTICLE.ASM"
%include        	"SCREEN.ASM"
%include		"SOUND.ASM"
%include        	"INTRRUPT.ASM"
%include        	"MATH.ASM"

ParticleBuffer: